<?php
	//if uninstall not called from WordPress exit
	if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
		exit ();

	// Clear hook

	wp_clear_scheduled_hook('initialize_firebar_stats_daily_cron');
	wp_clear_scheduled_hook('setup_firebar_email_stats_cron');

	// Delete Data

	global $wpdb;

	include_once(dirname(__FILE__) . '/admin/model/db.php');
	include_once(dirname(__FILE__) . '/core/model/stats.php');
	include_once(dirname(__FILE__) . '/core/model/email-signups.php');

	$version_option_name = 'wpsite_firebar_version';

	if ( !is_multisite() ) {
		$wpdb->query('DROP TABLE `' . WPsite_Firebar_DB::getTableName() . '`');
		$wpdb->query('DROP TABLE `' . WPsite_Stats_FB::getTableName() . '`');
		$wpdb->query('DROP TABLE ' . WPsite_Email_Signups_FB::getTableName());

		delete_option($version_option_name);
	} else {
	    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
	    $original_blog_id = get_current_blog_id();

	    foreach ( $blog_ids as $blog_id ) {
	        switch_to_blog( $blog_id );
	        $wpdb->query('DROP TABLE `' . WPsite_Firebar_DB::getTableName() . '`');
	        $wpdb->query('DROP TABLE `' . WPsite_Stats_FB::getTableName() . '`');
	        $wpdb->query('DROP TABLE ' . WPsite_Email_Signups_FB::getTableName());
	    }

	    restore_current_blog();

	    delete_site_option($version_option_name);
	}

?>